unit Main;

interface

uses
  Windows, Messages, SysUtils, Classes,  Controls, Forms, Dialogs,
   Grids, IB_Grid,  IB_VTree,  StdCtrls,
  ImgList, IB_Components, VirtualTrees, ExtCtrls, IB_UtilityBar,
  IB_UpdateBar;

type
  TfmMain = class(TForm)
    IB_Query1: TIB_Query;
    IB_DataSource1: TIB_DataSource;
    IB_Connection1: TIB_Connection;
    Panel1: TPanel;
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    Panel2: TPanel;
    Panel4: TPanel;
    VT: TIB_VTree;
    Splitter1: TSplitter;
    IB_Grid1: TIB_Grid;
    ImageList1: TImageList;
    Button4: TButton;
    Button5: TButton;
    IB_UtilityBar1: TIB_UtilityBar;
    IB_UpdateBar1: TIB_UpdateBar;
    Button6: TButton;
    Button7: TButton;
    procedure FormCreate(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure Button5Click(Sender: TObject);
    procedure Button6Click(Sender: TObject);
    procedure Button7Click(Sender: TObject);

  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  fmMain: TfmMain;
  LastNode: PVirtualNode;

implementation

{$R *.DFM}

type
  PMyRec = ^TMyRec;
  TMyRec = record
    Caption: WideString;
    ID: integer;
    Parent: integer;
    Image: integer;
    BookMark: string;
    Folder: boolean;
    ColumnText: array [0..10] of string;
  end;

procedure TfmMain.FormCreate(Sender: TObject);
begin
  IB_Query1.Open;
end;

procedure TfmMain.Button1Click(Sender: TObject);
begin
  VT.LoadData;
  if VT.RootNodeCount > 0 then VT.FullExpand(nil);
end;

procedure TfmMain.Button2Click(Sender: TObject);
begin
  IB_Query1.Close;
  IB_Query1.Open;
end;

procedure TfmMain.Button3Click(Sender: TObject);
begin
  VT.RootNodeCount := 0;
end;

procedure TfmMain.Button4Click(Sender: TObject);
begin
  IB_Query1.Close;
end;

procedure TfmMain.Button5Click(Sender: TObject);
begin
  IB_Query1.Open;
end;

procedure TfmMain.Button6Click(Sender: TObject);

begin
  VT.AddDataNode(VT.FocusedNode, false);
end;

procedure TfmMain.Button7Click(Sender: TObject);
begin
  VT.AddDataNode(nil, true);
end;

end.
