unit treeunit;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ComCtrls, VirtualTrees, VTrackTreeView, StdCtrls;

type
  TTreeForm = class(TForm)
    lib: VTTrackTreeView;
    procedure libTrackDblClick(sender: TObject; str: String);
    procedure FormShow(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure libDebug(sender: TObject; str: String);
    procedure libScanProgress(sender: TObject; str: String);
  private
    { Private declarations }
    loaded : boolean;
  public
    { Public declarations }
  end;

var
  TreeForm: TTreeForm;

implementation

uses MainUnit, uDbg;

{$R *.DFM}

procedure TTreeForm.libTrackDblClick(sender: TObject; str: String);
begin
  mainform.playsong(str);
end;

procedure TTreeForm.FormShow(Sender: TObject);
begin
 if not loaded then
 begin
   lib.loadDefault;
   loaded := true;
   caption := 'mp3 library: ' + lib.UserName;
 end;
end;

procedure TTreeForm.FormCreate(Sender: TObject);
begin
  loaded := false;
end;

procedure TTreeForm.libDebug(sender: TObject; str: String);
begin
  debugger.logmsg(str);
end;

procedure TTreeForm.libScanProgress(sender: TObject; str: String);
begin
  Caption := 'Scan: ' + str;
end;

end.
