unit directunit;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ComCtrls, TrackListView;

type
  Tdirectform = class(TForm)
    tl: TTrackListView;
    procedure tlTrackDblClick(sender: TObject; str: String);
    procedure tlDurationChange(sender: TObject; str: String);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  directform: Tdirectform;

implementation

uses MainUnit, filectrl;

{$R *.DFM}

procedure Tdirectform.tlTrackDblClick(sender: TObject; str: String);
begin
  mainform.playsong(str);
end;

procedure Tdirectform.tlDurationChange(sender: TObject; str: String);
begin
  caption := 'Direct playlist ' + str;
  if not mainform.playing then
    tl.DoNext;
end;
{
procedure Tdirectform.DropFileTarget1Drop(Sender: TObject;
  ShiftState: TShiftState; APoint: TPoint; var Effect: Integer);
var
  i : integer;
  str : string;
begin
  for i := 0 to dropfiletarget1.Files.count - 1 do
  begin
    str := dropfiletarget1.files[i];
    if fileexists(str) then
    begin
      if extractfileext(str) = 'mp3' then
        tl.AddTrack(str);
    end
    else if directoryexists(str) then
    begin
      tl.AddDirectory(str);
    end;
  end
end;
}
end.
