Unit extrunit;

Interface

Uses
  Windows,
  Messages,
  SysUtils,
  Classes,
  Graphics,
  Controls,
  Forms,
  Dialogs,
  StdCtrls,
  ExtCtrls,
  FileCtrl,
  ShlObj;

Type
  TExtract = Class(TForm)
    Panel1: TPanel;
    Panel2: TPanel;
    Panel3: TPanel;
    OKBut: TButton;
    CancelBut: TButton;
    RadioGroup1: TRadioGroup;
    RadioGroup2: TRadioGroup;
    RadioGroup3: TRadioGroup;
    DriveComboBox1: TDriveComboBox;
    DirectoryListBox1: TDirectoryListBox;

    Procedure OKButClick(Sender: TObject);
    Procedure CancelButClick(Sender: TObject);
    Procedure FormCreate(Sender: TObject);
  End;

Var
  Extract: TExtract;

Implementation

Uses MainUnit;

{$R *.DFM}

Procedure TExtract.OKButClick(Sender: TObject);
Begin
  MainUnit.ExtractDir := DirectoryListBox1.Directory;
  MainUnit.ExpandDirs := (RadioGroup1.ItemIndex = 1);
  MainUnit.Overwr := (RadioGroup2.ItemIndex = 1);
  MainUnit.AllFiles := (RadioGroup3.ItemIndex = 0);
End;

Procedure TExtract.CancelButClick(Sender: TObject);
Begin
  MainUnit.ExtractDir := '';
End;

Procedure TExtract.FormCreate(Sender: TObject);
Var
  SpecFolder: String;
Begin
  SpecFolder := '';

  MainForm.GetSpecialFolder(CSIDL_DESKTOPDIRECTORY, SpecFolder);
  DriveComboBox1.Drive := ExtractFileDrive(SpecFolder)[1];
  DirectoryListBox1.Directory := ExtractFilePath(SpecFolder);
End;

End.

 